%global pypi_name piexif

Name:           python-%{pypi_name}
Version:        1.0.5
Release:        1%{?dist}
Summary:        Pure Python library to simplify exif manipulations with python.

License:        MIT
URL:            https://github.com/hMatoba/Piexif
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.zip

# Files missing from the source file and required to test it
# https://github.com/hMatoba/Piexif/issues/22
Source1:	https://raw.githubusercontent.com/hMatoba/Piexif/master/tests/s_test.py
Source2:	https://github.com/hMatoba/Piexif/raw/master/tests/images/01.tif
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pillow

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pillow

%description
Very simple Python library to simplify exif manipulations that does
not depend on other libraries.

There are only just five functions:

    load(filename)                 - Get exif data as dict.
    dump(exif_dict)                - Get exif as bytes to save with JPEG.
    insert(exif_bytes, filename)   - Insert exif into JPEG.
    remove(filename)               - Remove exif from JPEG.
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.


%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Very simple Python library to simplify exif manipulations that does
not depend on other libraries.

There are only just five functions:

    load(filename)                 - Get exif data as dict.
    dump(exif_dict)                - Get exif as bytes to save with JPEG.
    insert(exif_bytes, filename)   - Insert exif into JPEG.
    remove(filename)               - Remove exif from JPEG.
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Very simple Python library to simplify exif manipulations that does
not depend on other libraries.

There are only just five functions:

    load(filename)                 - Get exif data as dict.
    dump(exif_dict)                - Get exif as bytes to save with JPEG.
    insert(exif_bytes, filename)   - Insert exif into JPEG.
    remove(filename)               - Remove exif from JPEG.
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp -p %{SOURCE1} tests
cp -p %{SOURCE2} tests/images


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Sep  1 2016 José Matos <jamatos@fedoraproject.org> - 1.0.5-1
- Initial package.
